function dy = singlemasseqn(t,y,par)
% function dy = singlemasseqn(t,y,par)
% unpack the parameters
b = par(1);
w = par(2);
% copy the state vector to useful names
x = y(1);
xd = y(2);
% calculate the accelaration
xdd = -x-2*b*xd+cos(w*t);
% fill the state derivatives
dy = zeros(2,1);
dy(1) = xd;
dy(2) = xdd;
